/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IPoolMetadata.java 2497 2008-02-25 15:43:21Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.pool.api;

/**
 * Metadata that needs to use #64;{@link org.ow2.util.pool.annotation.Pool} annotation needs to implement this interface.
 * @author Florent BENOIT
 */
public interface IPoolMetadata {

    /**
     * @return the pool configuration for this metadata.
     */
    IPoolConfiguration getPoolConfiguration();

    /**
     * Sets the pool configuration for this metadata.
     * @param poolConfiguration the given configuration.
     */
    void setPoolConfiguration(IPoolConfiguration poolConfiguration);

}
